
From: Andrew Morton <akpm@osdl.org>

Older gcc's don't like that.

Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/scsi_lib.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/scsi_lib.c~git-scsi-block-fix drivers/scsi/scsi_lib.c
--- 25/drivers/scsi/scsi_lib.c~git-scsi-block-fix	2005-06-26 00:11:59.000000000 -0700
+++ 25-akpm/drivers/scsi/scsi_lib.c	2005-06-26 00:12:16.000000000 -0700
@@ -342,14 +342,15 @@ int scsi_execute_req(struct scsi_device 
 		     struct scsi_sense_hdr *sshdr, int timeout, int retries)
 {
 	char *sense = NULL;
-		
+	int result;
+
 	if (sshdr) {
 		sense = kmalloc(SCSI_SENSE_BUFFERSIZE, GFP_KERNEL);
 		if (!sense)
 			return DRIVER_ERROR << 24;
 		memset(sense, 0, sizeof(*sense));
 	}
-	int result = scsi_execute(sdev, cmd, data_direction, buffer, bufflen,
+	result = scsi_execute(sdev, cmd, data_direction, buffer, bufflen,
 				  sense, timeout, retries, 0);
 	if (sshdr)
 		scsi_normalize_sense(sense, sizeof(*sense), sshdr);
_
